org.kie.internal.runtime.manager.audit.query

## Interface ErrorInfoQueryBuilder

- All Superinterfaces:
    ExtendedParametrizedQueryBuilder<ErrorInfoQueryBuilder,org.kie.api.executor.ErrorInfo>, ParametrizedQueryBuilder<ErrorInfoQueryBuilder>

      public interface ErrorInfoQueryBuilder
      extends ExtendedParametrizedQueryBuilder<ErrorInfoQueryBuilder,org.kie.api.executor.ErrorInfo>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ErrorInfoQueryBuilder.OrderBy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorInfoQueryBuilder` | `ascending(ErrorInfoQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in ascending order.
    `ErrorInfoQueryBuilder` | `descending(ErrorInfoQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in descending order.
    `ErrorInfoQueryBuilder` | `id(long... id)` Specify one or more task event ids to use as a criteria
    `ErrorInfoQueryBuilder` | `message(String... message)` Specify one or more message strings as criteria in the query.
    `ErrorInfoQueryBuilder` | `stackTraceRegex(String... stackTraceRegex)` Specify one or more string regular expressions (only . and * accepted) to use as a criteria for error info entities.
    `ErrorInfoQueryBuilder` | `time(Date... time)` Specify one or more dates to use as a criteria for the error info
    `ErrorInfoQueryBuilder` | `timeRange(Date timeMin, Date timeMax)` Specify an inclusive range of error info times to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### message

          ErrorInfoQueryBuilder message(String... message)

      Specify one or more message strings as criteria in the query.
      Parameters:
        `message` - one or more strings
      Returns:
        The current query builder instance

    - #### id

          ErrorInfoQueryBuilder id(long... id)

      Specify one or more task event ids to use as a criteria
      Parameters:
        `id` - one or more task event entity ids
      Returns:
        The current query builder instance

    - #### time

          ErrorInfoQueryBuilder time(Date... time)

      Specify one or more dates to use as a criteria for the error info
      Parameters:
        `time` - one or more dates
      Returns:
        The current query builder instance

    - #### timeRange

          ErrorInfoQueryBuilder timeRange(Date timeMin,
                                          Date timeMax)

      Specify an inclusive range of error info times to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `timeMin` - the minimal (lower) date to use in the range
        `timeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### stackTraceRegex

          ErrorInfoQueryBuilder stackTraceRegex(String... stackTraceRegex)

      Specify one or more string regular expressions (only . and * accepted) to use as a criteria for error info entities.
      Parameters:
        `stackTraceRegex` - one or more dates
      Returns:
        The current query builder instance

    - #### ascending

          ErrorInfoQueryBuilder ascending(ErrorInfoQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          ErrorInfoQueryBuilder descending(ErrorInfoQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.